Attribute VB_Name = "HitTest"
Option Explicit

' Return True if the circles overlap.
Public Function CirclesOverlap(ByVal x1 As Single, ByVal y1 As Single, ByVal radius1 As Single, ByVal x2 As Single, ByVal y2 As Single, ByVal radius2 As Single) As Boolean
Dim dx As Single
Dim dy As Single
Dim dist2 As Single
Dim hit_dist As Single
Dim hit_dist2 As Single

    ' See how far apart the centers are.
    dx = x2 - x1
    dy = y2 - y1
    dist2 = dx * dx + dy * dy

    ' See how far apart they must be to not hit.
    hit_dist = radius1 + radius2
    hit_dist2 = hit_dist * hit_dist

    CirclesOverlap = (dist2 < hit_dist2)
End Function


